QuantLib: ForwardSwapQuote Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
ForwardSwapQuote Class Reference

Quote for a forward starting swap. More...

`#include <ql/quotes/forwardswapquote.hpp>`

Inheritance diagram for ForwardSwapQuote:
[legend]

## Public Member Functions
| ForwardSwapQuote (const ext::shared_ptr< SwapIndex > &swapIndex, const Handle< Quote > &spread, const Period &fwdStart)
Quote interface
Real | value () const
| returns the current value
bool | isValid () const
| returns true if the Quote holds a valid value
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from LazyObject
void | recalculate ()
void | freeze ()
void | unfreeze ()
void | alwaysForwardNotifications ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Observer interface
ext::shared_ptr< SwapIndex > | swapIndex_
Handle< Quote > | spread_
Period | fwdStart_
Date | evaluationDate_
Date | valueDate_
Date | startDate_
Date | fixingDate_
ext::shared_ptr< VanillaSwap > | swap_
Rate | result_
void | update ()
const Date & | valueDate () const
const Date & | startDate () const
const Date & | fixingDate () const
void | initializeDates ()
void | performCalculations () const

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from LazyObject
virtual void | calculate () const
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_
bool | alwaysForward_

## Detailed Description

Quote for a forward starting swap.

## Member Function Documentation

## ◆ update()

void update | ( |  | ) |
| virtual

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from LazyObject.

## ◆ performCalculations()

void performCalculations | ( |  | ) | const
| protectedvirtual

This method must implement any calculations which must be (re)done in order to calculate the desired results.

Implements LazyObject.